

.hero-banner {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    position: relative;
    height: 80vh;
    background: none;
}

.hero-banner video {
    /* align img cover */
    object-fit: cover;
    width: 100vw;
    background-color: rgb(19, 2, 2);

    position: fixed;
    top: -20%;
    left: 0;
    height: 140%;
    z-index: -1;
}

#hero_blur-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.253);
}

.hero-banner_text-container {
    color: white;
    font-weight: bold;
    text-align: center;
    position: absolute;
    /* align left bottom */
    bottom: 50%;
    left: 50%;
    transform: translate(-50%, 50%);

}

.hero-banner_text-container h1 {
    text-transform: uppercase;
    font-weight: bold;
    font-size: 7rem;
    margin-bottom: 0.5rem;
    /* drop shadow */
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
}

.hero-banner_text-container h2 {
    text-transform: uppercase;
    font-size: 3rem;
    font-weight: bold;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);

}

.hero-banner_sub-title {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

.bar {
    width: 50px;
    height: 2px;
    background-color: white;
    margin: 0 1rem;
    /* shadow */
}

.hero-banner_button-container {
    margin-top: 2rem;
    justify-content: center;
    display: flex;
    gap: 20px;
}

.hero-banner_scroll-actions {
    position: absolute;
    bottom: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    color: rgba(255, 255, 255, 0.75);
    padding: 30px;
    cursor: pointer;
}

.hero-banner_scroll-actions {
    line-height: 18px;
}


/* break for mobile */
@media (max-width: 768px) {
    .hero-banner_text-container h1 {
        font-size: 3.5rem;
    }

    .hero-banner_text-container h2 {
        font-size: 1.5rem;
    }

    .bar {
        width: 30px;
        height: 2px;
    }

    .hero-banner_button-container a {
        padding: 5px 15px;
    }
}